Create SSH Key

View as Markdown

Create an SSH Key for the current Tenant. If an SSH Key Group is specified, all Sites associated with the SSH Key Group must be online.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
namestringRequired
Name cannot match that name an existing SSH Key
publicKeystringRequiredformat: "^ssh-(rsa|ecdsa|ed25519) AAAA[0-9A-Za-z+/]+[=]{0,3}(\s+.+)?$"

Must be an SSH key of type: RSA, ECDSA or ED25519

sshKeyGroupIdstring or nullOptionalformat: "uuid"
ID of the SSH Key Group this key should be attached to

Response

Created
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the key
namestringOptional
Name of the SSHKey
orgstringOptional
Organization the SSHKey belongs to
tenantIdstringOptionalformat: "uuid"
ID of the Tenant
fingerprintstringOptional
SHA256 fingerprint of the public key
createddatetimeOptionalRead-only

Date/time when the SSH key was created

updateddatetimeOptionalRead-only

Date/time when the SSH key was last updated

Errors

400
Bad Request Error
403
Forbidden Error